Subject: Re: [PATCH 2/5] e1000e: Add interrupt moderation run-time ethtool interface

From: Jeff Garzik <[email-masked]>
Date: Mon, 14 Apr 2008 15:35:42 -0400

Andi Kleen wrote:
> Auke Kok <[email-masked]> writes:
> 
>> The ethtool -c / -C interface can now be used to modify the
>> irq moderation algorithm. This change does not require an
>> adapter reset and can thus be used at all times. The adapter
>> only supports changing/reading rx-usecs which has special
>> values for 0, 1 and 3:
>>
>> 0 - no irq moderation whatsoever
>> 1 - normal moderation favoring regular mixed traffic (default)
>> 3 - best attempt at low latency possible at cost of CPU
> 
> It would be nice if ethtool instead of having this as a obscure magic
> number had a higher level "--low-latency" or similar parameter
> (that could also potentially set similar settings on other NICs)

That would be fine with me -- that's one of the goals of ethtool:  make 
the setting of hardware-specific settings as generic and easy as possible.

	Jeff

-------------------------------------------------------------------------
This SF.net email is sponsored by the 2008 JavaOne(SM) Conference 
Don't miss this year's exciting event. There's still time to save $100. 
Use priority code J8TL2D2. 
http://ad.doubleclick.net/clk;198757673;13503038;p?http://java.sun.com/javaone